This method will auto-generate an ID and create a new event. If an ID is specified for the event, an error will be thrown.
The event that you would like to be saved.
The date that that this event should be removed from the portal. If blank, the end date is used
If set, the masthead image is not stretched and is left as is
Whether or not abstract submission and judging is enabled for this event
Whether or not this event has mini-conferences, or components
Whether or not certification courses can be sold during the event
Whether or not logistics & planning are available for this event
Whether or not you would like onsite checking and kiosks for this event
Whether or not online registration is enabled for this event
Whether or not this event has sponsors you would like to track
The time during which this event should be featured
The event linked that occurred before this one, used for comparison
If true, only certain console users can access this event
Describes how this event registration and site information will be hosted and displayed
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
The timezone abbreviation, based on the event start date
The time zone offset, in minutes, from UTC, based on the event start date
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/events/{tenantId}
- https://events.api.rhythmsoftware.comhttps://events.api.rhythmsoftware.com/events/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/events/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"business_unit_id": "string",
"capacity_options": {
"capacity": 0,
"enable_wait_list": true,
"text_to_display_when_sold_out": "string",
"waitlist_process_id": "string"
},
"chapter_id": "string",
"cloned_from_id": "string",
"console_access_options": {
"administrator_security_role_ids": [
"string"
],
"user_security_role_ids": [
"string"
]
},
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"date_to_remove_from_portal": "2019-08-24T14:15:22Z",
"description": "string",
"do_not_stretch_masthead": true,
"enable_abstracts": true,
"enable_capacity": true,
"enable_components": true,
"enable_courses": true,
"enable_documents": true,
"enable_exhibitors": true,
"enable_functions": true,
"enable_logistics": true,
"enable_onsite": true,
"enable_registration": true,
"enable_sessions": true,
"enable_sponsors": true,
"enable_volunteers": true,
"end_date": "2019-08-24T14:15:22Z",
"featured": true,
"featured_from": "2019-08-24T14:15:22Z",
"featured_until": "2019-08-24T14:15:22Z",
"id": "string",
"masthead_image_uri": "string",
"name": "string",
"portal_integrated_events_options": {
"registrant_directory_id": "string",
"show_group_registration": true,
"show_registrant_directory": true,
"show_schedule": true
},
"previous_event_id": "string",
"registration_deadlines": [
{
"date": "2019-08-24T14:15:22Z",
"id": "string"
}
],
"restrict_console_access": true,
"site_mode": "external",
"sold_out": true,
"start_date": "2019-08-24T14:15:22Z",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"thumbnail_image_uri": "string",
"timezone": "string",
"timezone_abbreviation": "string",
"timezone_mode": "local",
"timezone_offset": 0.1,
"type_id": "string",
"url": "string",
"venue_id": "string",
"visible_in_portal": true
}'The event was saved successfully.
The date that that this event should be removed from the portal. If blank, the end date is used
If set, the masthead image is not stretched and is left as is
Whether or not abstract submission and judging is enabled for this event
Whether or not this event has mini-conferences, or components
Whether or not certification courses can be sold during the event
Whether or not logistics & planning are available for this event
Whether or not you would like onsite checking and kiosks for this event
Whether or not online registration is enabled for this event
Whether or not this event has sponsors you would like to track
The time during which this event should be featured
The event linked that occurred before this one, used for comparison
If true, only certain console users can access this event
Describes how this event registration and site information will be hosted and displayed
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
The timezone abbreviation, based on the event start date
The time zone offset, in minutes, from UTC, based on the event start date
{ "address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "business_unit_id": "string", "capacity_options": { "capacity": 0, "enable_wait_list": true, "text_to_display_when_sold_out": "string", "waitlist_process_id": "string" }, "chapter_id": "string", "cloned_from_id": "string", "console_access_options": { "administrator_security_role_ids": [ … ], "user_security_role_ids": [ … ] }, "custom_field_values": [ { … } ], "date_to_remove_from_portal": "2019-08-24T14:15:22Z", "description": "string", "do_not_stretch_masthead": true, "enable_abstracts": true, "enable_capacity": true, "enable_components": true, "enable_courses": true, "enable_documents": true, "enable_exhibitors": true, "enable_functions": true, "enable_logistics": true, "enable_onsite": true, "enable_registration": true, "enable_sessions": true, "enable_sponsors": true, "enable_volunteers": true, "end_date": "2019-08-24T14:15:22Z", "featured": true, "featured_from": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "id": "string", "masthead_image_uri": "string", "name": "string", "portal_integrated_events_options": { "registrant_directory_id": "string", "show_group_registration": true, "show_registrant_directory": true, "show_schedule": true }, "previous_event_id": "string", "registration_deadlines": [ { … } ], "restrict_console_access": true, "site_mode": "external", "sold_out": true, "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "thumbnail_image_uri": "string", "timezone": "string", "timezone_abbreviation": "string", "timezone_mode": "local", "timezone_offset": 0.1, "type_id": "string", "url": "string", "venue_id": "string", "visible_in_portal": true }